using System;
using System.Linq;
 
namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            String s = Convert.ToString(Console.ReadLine());
            String t = Convert.ToString(Console.ReadLine());
            int najmanji = 1000;
            String slovo = "";
            for(int i = 0; i < t.Length; i++)
            {
                String slovo1 = Convert.ToString(t[i]);
                int broj = s.Count(c => c == t[i]);
                if (broj <= najmanji)
                {
                    najmanji = broj;
                    slovo = slovo1;
                }
            }
            s = s.Replace(Convert.ToChar(slovo), '*');
            Console.WriteLine(najmanji);
            Console.WriteLine(s);
        }
    }
}